KDESU(1)

NAVN
kdesu - Kører et program med højere privilegier

SYNOPSIS

kdesu [-c] [-d] [-f file] [-i icon name] [-n] [-p priority] [-r] [-s] [-t] [-u user] [--nonewdcop] [{command [arg1] [arg2] [...]}]

kdesu [KDE Generiske tilvalg] [Qt Generiske tilvalg]

BESKRIVELSE

KDE su er en grafisk front for UNIX®-kommanoden su for K desktopmiljøet. Det tillader dig at køre et program som en anden bruger ved at angive kodeordet for denne bruger. KDE su er ikke et priviligeret program; det bruger systemets su.

KDE su har yderligere en egenskab: du kan vælge at det skal huske kodeord for dig. Hvis du bruger dette, er du kun nødt til at indtaste kodeordet en gang for hver kommando.

Dette program er beregnet til at blive startet fra kommandolinjen eller fra .desktop-filer.

TILVALG

-c program
    Dette angiver programmet der skal køres som root. Det skal gives som et argument. Så hvis, for eksempel, du ønsker at starte en ny fulhåndtering, vil du skrive ved prompten: kdesu -c kfm -sw

-d
    Vis fejlinformation.

-f fil
    Dette tillader effektiv brug af KDE su i .desktop-filer. Det beder KDE su om at undersøge filen angivet ved file. Hvis denne fil er skrivbar for nuværende bruger, vil KDE su køre kommandoen som nuværende bruger. Hvis dette ikke er tilfældet vil den køres som brugeren bruger (som standard root).

    fil evalueres sådan her: hvis fil starter med et /, opfattes det som et absolut filnavn. Ellers opfattes det som navnet på en global indstillingsfil for KDE. For eksempel: For at indstille kdm, kunne du skrive kdesu -c kdmconfig -f kdmrc

-i ikonnavn
    Angiv ikon at bruge i kodeordsdialogen. Du kan angive kun navnet, uden nogen filendelse.

-n
    Husk ikke kodeordet. Dette deaktiverer husk kodeord afkrydsningsfeltet i kodeordsdialogen.

-p prioritet
    Angiv prioritetsværdi. Prioriteten er et vilkårligt tal mellem 0 og 100, hvor 100 betyder højeste prioritet, og 0 betyder mindste. Standardværdien er 50.

-r
    Brug realtidsskemalægning

-s
    Stop kdesu-dæmonen. Dette er dæmonen der cacher kodeord der lykkedes i baggrunden. Denne funktion kan også deaktiveres med -n når KDE su først køres.

-t
    Aktivér terminaluddata. Dette deaktiverer det at huske kodeordet. Det er stort set til fejlsøgningsformål; hvis du ønsker at køre et program i konsoltilstand, kan du i stedet bruge su-kommandoen.

-u bruger
    Selvom den almindeligste brug af KDE su er at køre et kommando som systemadministrator, kan du angive et hvilket som helst brugernavn og passende kodeord.

SE OGSÅ

su(1)

Mere detaljeret brugerdokumentation er tilgængelig fra help:/kdesu (skriv enten denne URL i Konqueror, eller kør khelpcenter help:/kdesu).

EKSEMPLER

Kør kfmclient som brugeren jim, og vis Konqueror's ikon i kodeordsdialogen:

    kdesu -u jim -i konqueror kfmclient

FORFATTERE

KDE su er skrevet af Geert Jansen <jansen@kde.org> og Pietro Iglio <iglio@fub.it>.

FORFATTER

Lauri Watts <lauri@kde.org>
    Forfatter.